<html>
<head>
<title>Ogre::PagedWorld Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PagedWorld.html">PagedWorld</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PagedWorld Class Reference<div class="ingroups"><a class="el" href="group__Paging.html">Paging</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PagedWorld" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>This class represents a collection of pages which make up a world.  
 <a href="classOgre_1_1PagedWorld.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::PagedWorld:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1PagedWorld__inherit__graph.gif" border="0" usemap="#Ogre_1_1PagedWorld_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1PagedWorld_inherit__map" id="Ogre_1_1PagedWorld_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="29,5,109,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1PagedWorld-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a6c1dcf3d33ed0aa2ed2bb331c6dec087">SectionMap</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a86df6ac79d172998e074b8da3935ee6b">PagedWorld</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="classOgre_1_1PageManager.html">PageManager</a> *manager)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a86df6ac79d172998e074b8da3935ee6b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#aa998277396620588752029c88710dbd7">~PagedWorld</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#aff63307ef984ebddd40b94e30059bc56">getName</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PageManager.html">PageManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#ac364900cf95783eb8257970f29dadeab">getManager</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the manager of this world.  <a href="#ac364900cf95783eb8257970f29dadeab"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#af173a5d6ae87960e532a87e7e67fd888">load</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load world data from a file.  <a href="#af173a5d6ae87960e532a87e7e67fd888"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#ac0ef8449d591776b726577f2b4f84605">load</a> (const <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load world data from a stream.  <a href="#ac0ef8449d591776b726577f2b4f84605"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#acad473ad0512414571f6c509715065f1">load</a> (<a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load world data from a serialiser (returns true if successful)  <a href="#acad473ad0512414571f6c509715065f1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a9932a5a510988ba09f5ed9aaf0c3e564">save</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save world data to a file.  <a href="#a9932a5a510988ba09f5ed9aaf0c3e564"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#ae405454054ca875a563a1c890551f322">save</a> (const <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save world data to a stream.  <a href="#ae405454054ca875a563a1c890551f322"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a0fa22b0759b2ce34f2277b304af216e0">save</a> (<a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save world data to a serialiser.  <a href="#a0fa22b0759b2ce34f2277b304af216e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#ad99bc3529549f76b404a069f980b31e5">createSection</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sceneMgr, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;typeName, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;sectionName=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new section of the world based on a specialised type.  <a href="#ad99bc3529549f76b404a069f980b31e5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a7afe844d66bc646eff8fa427f4d050b3">createSection</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;strategyName, <a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sceneMgr, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;sectionName=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new manually defined section of the world.  <a href="#a7afe844d66bc646eff8fa427f4d050b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a43c4485026d34cabfafdbeb4ecec0754">createSection</a> (<a class="el" href="classOgre_1_1PageStrategy.html">PageStrategy</a> *strategy, <a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sceneMgr, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;sectionName=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a manually defined new section of the world.  <a href="#a43c4485026d34cabfafdbeb4ecec0754"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a01a47d516ddcd57334b25ba2d017c1e3">destroySection</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy a section of world.  <a href="#a01a47d516ddcd57334b25ba2d017c1e3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a4b445ba01d57f979566ba08df16e63c3">destroySection</a> (<a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *sec)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy a section of world.  <a href="#a4b445ba01d57f979566ba08df16e63c3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a9e1c5509c70c0941f75e1233b7c219a1">destroyAllSections</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy all world sections.  <a href="#a9e1c5509c70c0941f75e1233b7c219a1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a79600734a2c14ad56acf1cc5274c484a">getSectionCount</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of sections this world has.  <a href="#a79600734a2c14ad56acf1cc5274c484a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#abe02434b1f5d934dc4d799b2bc019d1e">getSection</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve a section of the world.  <a href="#abe02434b1f5d934dc4d799b2bc019d1e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1PagedWorld.html#a6c1dcf3d33ed0aa2ed2bb331c6dec087">SectionMap</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#aae6d278e5c387bd63447dd2dd33c0b62">getSections</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve a const reference to all the sections in this world.  <a href="#aae6d278e5c387bd63447dd2dd33c0b62"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#ae0d7ac8ee73dd0fd7437564ed894b2ce">setPageProvider</a> (<a class="el" href="classOgre_1_1PageProvider.html">PageProvider</a> *provider)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <a class="el" href="classOgre_1_1PageProvider.html" title="Abstract class that can be implemented by the user application to provide a way to retrieve or genera...">PageProvider</a> which can provide streams for Pages in this world.  <a href="#ae0d7ac8ee73dd0fd7437564ed894b2ce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PageProvider.html">PageProvider</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#aaa9b03f555be438f664a9eb09f5f1257">getPageProvider</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the <a class="el" href="classOgre_1_1PageProvider.html" title="Abstract class that can be implemented by the user application to provide a way to retrieve or genera...">PageProvider</a> which can provide streams for Pages in this world.  <a href="#aaa9b03f555be438f664a9eb09f5f1257"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a5040e60ba4d96ef63af185d314753684">_prepareProceduralPage</a> (<a class="el" href="classOgre_1_1Page.html">Page</a> *page, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *section)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Give a world the opportunity to prepare page content procedurally.  <a href="#a5040e60ba4d96ef63af185d314753684"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a72ebc44da81eac9c605bc012e89501ce">_loadProceduralPage</a> (<a class="el" href="classOgre_1_1Page.html">Page</a> *page, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *section)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Give a world the opportunity to prepare page content procedurally.  <a href="#a72ebc44da81eac9c605bc012e89501ce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#af3377b5783c83545b2130056ffc50838">_unloadProceduralPage</a> (<a class="el" href="classOgre_1_1Page.html">Page</a> *page, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *section)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Give a world the opportunity to unload page content procedurally.  <a href="#af3377b5783c83545b2130056ffc50838"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#aa25f1c7ea55a2a4e0059f32c5c3ca826">_unprepareProceduralPage</a> (<a class="el" href="classOgre_1_1Page.html">Page</a> *page, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *section)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Give a world the opportunity to unprepare page content procedurally.  <a href="#aa25f1c7ea55a2a4e0059f32c5c3ca826"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a99eb57150cba10d1ead24ab1d8ac3a90">_readPageStream</a> (<a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a> pageID, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *section)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a serialiser set up to read <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> data for the given PageID.  <a href="#a99eb57150cba10d1ead24ab1d8ac3a90"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a762a21ed405f3e6a88d6a630832f9e7b">_writePageStream</a> (<a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a> pageID, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *section)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a serialiser set up to read <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> data for the given PageID.  <a href="#a762a21ed405f3e6a88d6a630832f9e7b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a4d5c5043aa8077c10a353075c62812c9">frameStart</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timeSinceLastFrame)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the frame starts.  <a href="#a4d5c5043aa8077c10a353075c62812c9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#af4b8c11c069af1eae2b1f414d32481a5">frameEnd</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timeElapsed)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the frame ends.  <a href="#af4b8c11c069af1eae2b1f414d32481a5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#ace9492c0dd5be15818cc881d192ba6ca">notifyCamera</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notify a world of the current camera.  <a href="#ace9492c0dd5be15818cc881d192ba6ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#aae8d55a56f80cd98c81e9be35abb1703">CHUNK_ID</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a5aed8fa0270feca86392300faff64764">CHUNK_VERSION</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a22c0313ee4f22c41c592aec526aedce6">CHUNK_SECTIONDECLARATION_ID</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#ae14fed02b7a26c0992e97b355f39ea73">mName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PageManager.html">PageManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a5fbe897d19105f3fe03a42bd047914b0">mManager</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PageProvider.html">PageProvider</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#aeb5d358fe39b8311415c71f957a7c08c">mPageProvider</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PagedWorld.html#a6c1dcf3d33ed0aa2ed2bb331c6dec087">SectionMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a6adf46d34ac5ce7e00973307a9b61d17">mSections</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1NameGenerator.html">NameGenerator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#ab47f81c32e309e66eea51339fed51368">mSectionNameGenerator</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> friend <br class="typebreak"/>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html#a1cd0eb84ff83fe1e320c54d9f8fdf4eb">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1PagedWorld.html">PagedWorld</a> &amp;p)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for writing to a stream.  <a href="#a1cd0eb84ff83fe1e320c54d9f8fdf4eb"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This class represents a collection of pages which make up a world. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>It's important to bear in mind that the <a class="el" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a> only delineates the world and knows how to find out about the contents of it. It does not, by design, contain all elements of the world, in memory, at once. </dd></dl>

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00056">56</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a6c1dcf3d33ed0aa2ed2bb331c6dec087"></a><!-- doxytag: member="Ogre::PagedWorld::SectionMap" ref="a6c1dcf3d33ed0aa2ed2bb331c6dec087" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a>*&gt;::type <a class="el" href="classOgre_1_1PagedWorld.html#a6c1dcf3d33ed0aa2ed2bb331c6dec087">Ogre::PagedWorld::SectionMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00160">160</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a86df6ac79d172998e074b8da3935ee6b"></a><!-- doxytag: member="Ogre::PagedWorld::PagedWorld" ref="a86df6ac79d172998e074b8da3935ee6b" args="(const String &amp;name, PageManager *manager)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PagedWorld.html#a86df6ac79d172998e074b8da3935ee6b">Ogre::PagedWorld::PagedWorld</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PageManager.html">PageManager</a> *&#160;</td>
          <td class="paramname"><em>manager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the world, which must be enough to identify the place where data for it can be loaded from (doesn't have to be a filename necessarily). </td></tr>
    <tr><td class="paramname">manager</td><td>The <a class="el" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a> that is in charge of providing this world with services such as related object factories. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa998277396620588752029c88710dbd7"></a><!-- doxytag: member="Ogre::PagedWorld::~PagedWorld" ref="aa998277396620588752029c88710dbd7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1PagedWorld.html#aa998277396620588752029c88710dbd7">Ogre::PagedWorld::~PagedWorld</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a72ebc44da81eac9c605bc012e89501ce"></a><!-- doxytag: member="Ogre::PagedWorld::_loadProceduralPage" ref="a72ebc44da81eac9c605bc012e89501ce" args="(Page *page, PagedWorldSection *section)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1PagedWorld.html#a72ebc44da81eac9c605bc012e89501ce">Ogre::PagedWorld::_loadProceduralPage</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td>
          <td class="paramname"><em>page</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>section</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Give a world the opportunity to prepare page content procedurally. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You should not call this method directly. This call will happen in the main render thread so it can access GPU resources. Use _prepareProceduralPage for background preparation. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if the page was populated, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a5040e60ba4d96ef63af185d314753684"></a><!-- doxytag: member="Ogre::PagedWorld::_prepareProceduralPage" ref="a5040e60ba4d96ef63af185d314753684" args="(Page *page, PagedWorldSection *section)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1PagedWorld.html#a5040e60ba4d96ef63af185d314753684">Ogre::PagedWorld::_prepareProceduralPage</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td>
          <td class="paramname"><em>page</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>section</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Give a world the opportunity to prepare page content procedurally. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You should not call this method directly. This call may well happen in a separate thread so it should not access GPU resources, use _loadProceduralPage for that </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if the page was populated, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a99eb57150cba10d1ead24ab1d8ac3a90"></a><!-- doxytag: member="Ogre::PagedWorld::_readPageStream" ref="a99eb57150cba10d1ead24ab1d8ac3a90" args="(PageID pageID, PagedWorldSection *section)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a>* <a class="el" href="classOgre_1_1PagedWorld.html#a99eb57150cba10d1ead24ab1d8ac3a90">Ogre::PagedWorld::_readPageStream</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a>&#160;</td>
          <td class="paramname"><em>pageID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>section</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a serialiser set up to read <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> data for the given PageID. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pageID</td><td>The ID of the page being requested </td></tr>
    <tr><td class="paramname">section</td><td>The parent section to which this page will belong </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The <a class="el" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a> returned is the responsibility of the caller to delete. </dd></dl>

</div>
</div>
<a class="anchor" id="af3377b5783c83545b2130056ffc50838"></a><!-- doxytag: member="Ogre::PagedWorld::_unloadProceduralPage" ref="af3377b5783c83545b2130056ffc50838" args="(Page *page, PagedWorldSection *section)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1PagedWorld.html#af3377b5783c83545b2130056ffc50838">Ogre::PagedWorld::_unloadProceduralPage</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td>
          <td class="paramname"><em>page</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>section</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Give a world the opportunity to unload page content procedurally. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You should not call this method directly. This call will happen in the main render thread so it can access GPU resources. Use _unprepareProceduralPage for background preparation. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if the page was populated, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="aa25f1c7ea55a2a4e0059f32c5c3ca826"></a><!-- doxytag: member="Ogre::PagedWorld::_unprepareProceduralPage" ref="aa25f1c7ea55a2a4e0059f32c5c3ca826" args="(Page *page, PagedWorldSection *section)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1PagedWorld.html#aa25f1c7ea55a2a4e0059f32c5c3ca826">Ogre::PagedWorld::_unprepareProceduralPage</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td>
          <td class="paramname"><em>page</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>section</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Give a world the opportunity to unprepare page content procedurally. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You should not call this method directly. This call may well happen in a separate thread so it should not access GPU resources, use _unloadProceduralPage for that </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if the page was unpopulated, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a762a21ed405f3e6a88d6a630832f9e7b"></a><!-- doxytag: member="Ogre::PagedWorld::_writePageStream" ref="a762a21ed405f3e6a88d6a630832f9e7b" args="(PageID pageID, PagedWorldSection *section)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a>* <a class="el" href="classOgre_1_1PagedWorld.html#a762a21ed405f3e6a88d6a630832f9e7b">Ogre::PagedWorld::_writePageStream</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a>&#160;</td>
          <td class="paramname"><em>pageID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>section</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a serialiser set up to read <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> data for the given PageID. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pageID</td><td>The ID of the page being requested </td></tr>
    <tr><td class="paramname">section</td><td>The parent section to which this page will belong </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The <a class="el" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a> returned is the responsibility of the caller to delete. </dd></dl>

</div>
</div>
<a class="anchor" id="ad99bc3529549f76b404a069f980b31e5"></a><!-- doxytag: member="Ogre::PagedWorld::createSection" ref="ad99bc3529549f76b404a069f980b31e5" args="(SceneManager *sceneMgr, const String &amp;typeName, const String &amp;sectionName=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a>* <a class="el" href="classOgre_1_1PagedWorld.html#ad99bc3529549f76b404a069f980b31e5">Ogre::PagedWorld::createSection</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td>
          <td class="paramname"><em>sceneMgr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>typeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>sectionName</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new section of the world based on a specialised type. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>World sections are areas of the world that use a particular <a class="el" href="classOgre_1_1PageStrategy.html" title="Defines the interface to a strategy class which is responsible for deciding when Page instances are r...">PageStrategy</a>, with a certain set of parameters specific to that strategy, and potentially some other rules. So you would have more than one section in a world only if you needed different simultaneous paging strategies, or you wanted the same strategy but parameterised differently. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">sceneMgr</td><td>The <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> to use for this section. </td></tr>
    <tr><td class="paramname">typeName</td><td>The type of section to use (must be registered with <a class="el" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a>), or blank to use the default type (simple grid) </td></tr>
    <tr><td class="paramname">sectionName</td><td>An optional name to give the section (if none is provided, one will be generated) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7afe844d66bc646eff8fa427f4d050b3"></a><!-- doxytag: member="Ogre::PagedWorld::createSection" ref="a7afe844d66bc646eff8fa427f4d050b3" args="(const String &amp;strategyName, SceneManager *sceneMgr, const String &amp;sectionName=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a>* <a class="el" href="classOgre_1_1PagedWorld.html#ad99bc3529549f76b404a069f980b31e5">Ogre::PagedWorld::createSection</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>strategyName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td>
          <td class="paramname"><em>sceneMgr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>sectionName</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new manually defined section of the world. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>World sections are areas of the world that use a particular <a class="el" href="classOgre_1_1PageStrategy.html" title="Defines the interface to a strategy class which is responsible for deciding when Page instances are r...">PageStrategy</a>, with a certain set of parameters specific to that strategy. So you would have more than one section in a world only if you needed different simultaneous paging strategies, or you wanted the same strategy but parameterised differently. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">strategyName</td><td>The name of the strategy to use (must be registered with <a class="el" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a>) </td></tr>
    <tr><td class="paramname">sceneMgr</td><td>The <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> to use for this section </td></tr>
    <tr><td class="paramname">sectionName</td><td>An optional name to give the section (if none is provided, one will be generated) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a43c4485026d34cabfafdbeb4ecec0754"></a><!-- doxytag: member="Ogre::PagedWorld::createSection" ref="a43c4485026d34cabfafdbeb4ecec0754" args="(PageStrategy *strategy, SceneManager *sceneMgr, const String &amp;sectionName=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a>* <a class="el" href="classOgre_1_1PagedWorld.html#ad99bc3529549f76b404a069f980b31e5">Ogre::PagedWorld::createSection</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PageStrategy.html">PageStrategy</a> *&#160;</td>
          <td class="paramname"><em>strategy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td>
          <td class="paramname"><em>sceneMgr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>sectionName</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a manually defined new section of the world. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>World sections are areas of the world that use a particular <a class="el" href="classOgre_1_1PageStrategy.html" title="Defines the interface to a strategy class which is responsible for deciding when Page instances are r...">PageStrategy</a>, with a certain set of parameters specific to that strategy. So you would have more than one section in a world only if you needed different simultaneous paging strategies, or you wanted the same strategy but parameterised differently. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">strategy</td><td>The strategy to use </td></tr>
    <tr><td class="paramname">sceneMgr</td><td>The <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> to use for this section </td></tr>
    <tr><td class="paramname">sectionName</td><td>An optional name to give the section (if none is provided, one will be generated) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9e1c5509c70c0941f75e1233b7c219a1"></a><!-- doxytag: member="Ogre::PagedWorld::destroyAllSections" ref="a9e1c5509c70c0941f75e1233b7c219a1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PagedWorld.html#a9e1c5509c70c0941f75e1233b7c219a1">Ogre::PagedWorld::destroyAllSections</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroy all world sections. </p>

</div>
</div>
<a class="anchor" id="a01a47d516ddcd57334b25ba2d017c1e3"></a><!-- doxytag: member="Ogre::PagedWorld::destroySection" ref="a01a47d516ddcd57334b25ba2d017c1e3" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PagedWorld.html#a01a47d516ddcd57334b25ba2d017c1e3">Ogre::PagedWorld::destroySection</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroy a section of world. </p>

</div>
</div>
<a class="anchor" id="a4b445ba01d57f979566ba08df16e63c3"></a><!-- doxytag: member="Ogre::PagedWorld::destroySection" ref="a4b445ba01d57f979566ba08df16e63c3" args="(PagedWorldSection *sec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PagedWorld.html#a01a47d516ddcd57334b25ba2d017c1e3">Ogre::PagedWorld::destroySection</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>sec</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroy a section of world. </p>

</div>
</div>
<a class="anchor" id="af4b8c11c069af1eae2b1f414d32481a5"></a><!-- doxytag: member="Ogre::PagedWorld::frameEnd" ref="af4b8c11c069af1eae2b1f414d32481a5" args="(Real timeElapsed)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1PagedWorld.html#af4b8c11c069af1eae2b1f414d32481a5">Ogre::PagedWorld::frameEnd</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timeElapsed</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when the frame ends. </p>

</div>
</div>
<a class="anchor" id="a4d5c5043aa8077c10a353075c62812c9"></a><!-- doxytag: member="Ogre::PagedWorld::frameStart" ref="a4d5c5043aa8077c10a353075c62812c9" args="(Real timeSinceLastFrame)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1PagedWorld.html#a4d5c5043aa8077c10a353075c62812c9">Ogre::PagedWorld::frameStart</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timeSinceLastFrame</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when the frame starts. </p>

</div>
</div>
<a class="anchor" id="ac364900cf95783eb8257970f29dadeab"></a><!-- doxytag: member="Ogre::PagedWorld::getManager" ref="ac364900cf95783eb8257970f29dadeab" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PageManager.html">PageManager</a>* <a class="el" href="classOgre_1_1PagedWorld.html#ac364900cf95783eb8257970f29dadeab">Ogre::PagedWorld::getManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the manager of this world. </p>

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00079">79</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff63307ef984ebddd40b94e30059bc56"></a><!-- doxytag: member="Ogre::PagedWorld::getName" ref="aff63307ef984ebddd40b94e30059bc56" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1PagedWorld.html#aff63307ef984ebddd40b94e30059bc56">Ogre::PagedWorld::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00077">77</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaa9b03f555be438f664a9eb09f5f1257"></a><!-- doxytag: member="Ogre::PagedWorld::getPageProvider" ref="aaa9b03f555be438f664a9eb09f5f1257" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PageProvider.html">PageProvider</a>* <a class="el" href="classOgre_1_1PagedWorld.html#aaa9b03f555be438f664a9eb09f5f1257">Ogre::PagedWorld::getPageProvider</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the <a class="el" href="classOgre_1_1PageProvider.html" title="Abstract class that can be implemented by the user application to provide a way to retrieve or genera...">PageProvider</a> which can provide streams for Pages in this world. </p>

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00178">178</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<a class="anchor" id="abe02434b1f5d934dc4d799b2bc019d1e"></a><!-- doxytag: member="Ogre::PagedWorld::getSection" ref="abe02434b1f5d934dc4d799b2bc019d1e" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a>* <a class="el" href="classOgre_1_1PagedWorld.html#abe02434b1f5d934dc4d799b2bc019d1e">Ogre::PagedWorld::getSection</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieve a section of the world. </p>

</div>
</div>
<a class="anchor" id="a79600734a2c14ad56acf1cc5274c484a"></a><!-- doxytag: member="Ogre::PagedWorld::getSectionCount" ref="a79600734a2c14ad56acf1cc5274c484a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PagedWorld.html#a79600734a2c14ad56acf1cc5274c484a">Ogre::PagedWorld::getSectionCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of sections this world has. </p>

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00155">155</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<a class="anchor" id="aae6d278e5c387bd63447dd2dd33c0b62"></a><!-- doxytag: member="Ogre::PagedWorld::getSections" ref="aae6d278e5c387bd63447dd2dd33c0b62" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1PagedWorld.html#a6c1dcf3d33ed0aa2ed2bb331c6dec087">SectionMap</a>&amp; <a class="el" href="classOgre_1_1PagedWorld.html#aae6d278e5c387bd63447dd2dd33c0b62">Ogre::PagedWorld::getSections</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieve a const reference to all the sections in this world. </p>

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00162">162</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<a class="anchor" id="af173a5d6ae87960e532a87e7e67fd888"></a><!-- doxytag: member="Ogre::PagedWorld::load" ref="af173a5d6ae87960e532a87e7e67fd888" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PagedWorld.html#af173a5d6ae87960e532a87e7e67fd888">Ogre::PagedWorld::load</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load world data from a file. </p>

</div>
</div>
<a class="anchor" id="ac0ef8449d591776b726577f2b4f84605"></a><!-- doxytag: member="Ogre::PagedWorld::load" ref="ac0ef8449d591776b726577f2b4f84605" args="(const DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PagedWorld.html#af173a5d6ae87960e532a87e7e67fd888">Ogre::PagedWorld::load</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load world data from a stream. </p>

</div>
</div>
<a class="anchor" id="acad473ad0512414571f6c509715065f1"></a><!-- doxytag: member="Ogre::PagedWorld::load" ref="acad473ad0512414571f6c509715065f1" args="(StreamSerialiser &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1PagedWorld.html#af173a5d6ae87960e532a87e7e67fd888">Ogre::PagedWorld::load</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load world data from a serialiser (returns true if successful) </p>

</div>
</div>
<a class="anchor" id="ace9492c0dd5be15818cc881d192ba6ca"></a><!-- doxytag: member="Ogre::PagedWorld::notifyCamera" ref="ace9492c0dd5be15818cc881d192ba6ca" args="(Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1PagedWorld.html#ace9492c0dd5be15818cc881d192ba6ca">Ogre::PagedWorld::notifyCamera</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notify a world of the current camera. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::PagedWorld::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::PagedWorld::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::PagedWorld::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::PagedWorld::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::PagedWorld::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::PagedWorld::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::PagedWorld::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::PagedWorld::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::PagedWorld::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::PagedWorld::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9932a5a510988ba09f5ed9aaf0c3e564"></a><!-- doxytag: member="Ogre::PagedWorld::save" ref="a9932a5a510988ba09f5ed9aaf0c3e564" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PagedWorld.html#a9932a5a510988ba09f5ed9aaf0c3e564">Ogre::PagedWorld::save</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save world data to a file. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>The name of the file to create; this can either be an absolute filename or </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae405454054ca875a563a1c890551f322"></a><!-- doxytag: member="Ogre::PagedWorld::save" ref="ae405454054ca875a563a1c890551f322" args="(const DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PagedWorld.html#a9932a5a510988ba09f5ed9aaf0c3e564">Ogre::PagedWorld::save</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save world data to a stream. </p>

</div>
</div>
<a class="anchor" id="a0fa22b0759b2ce34f2277b304af216e0"></a><!-- doxytag: member="Ogre::PagedWorld::save" ref="a0fa22b0759b2ce34f2277b304af216e0" args="(StreamSerialiser &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PagedWorld.html#a9932a5a510988ba09f5ed9aaf0c3e564">Ogre::PagedWorld::save</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save world data to a serialiser. </p>

</div>
</div>
<a class="anchor" id="ae0d7ac8ee73dd0fd7437564ed894b2ce"></a><!-- doxytag: member="Ogre::PagedWorld::setPageProvider" ref="ae0d7ac8ee73dd0fd7437564ed894b2ce" args="(PageProvider *provider)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PagedWorld.html#ae0d7ac8ee73dd0fd7437564ed894b2ce">Ogre::PagedWorld::setPageProvider</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PageProvider.html">PageProvider</a> *&#160;</td>
          <td class="paramname"><em>provider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the <a class="el" href="classOgre_1_1PageProvider.html" title="Abstract class that can be implemented by the user application to provide a way to retrieve or genera...">PageProvider</a> which can provide streams for Pages in this world. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is the top-level way that you can direct how <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> data is loaded. When data for a <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> is requested for a <a class="el" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>, the following sequence of classes will be checked to see if they have a provider willing to supply the stream: <a class="el" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>, <a class="el" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>, <a class="el" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a>. If none of these do, then the default behaviour is to look for a file called worldname_sectionname_pageID.page. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>The caller remains responsible for the destruction of the provider. </dd></dl>

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00175">175</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a1cd0eb84ff83fe1e320c54d9f8fdf4eb"></a><!-- doxytag: member="Ogre::PagedWorld::operator&lt;&lt;" ref="a1cd0eb84ff83fe1e320c54d9f8fdf4eb" args="(std::ostream &amp;o, const PagedWorld &amp;p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PagedWorld.html">PagedWorld</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Function for writing to a stream. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aae8d55a56f80cd98c81e9be35abb1703"></a><!-- doxytag: member="Ogre::PagedWorld::CHUNK_ID" ref="aae8d55a56f80cd98c81e9be35abb1703" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1PagedWorld.html#aae8d55a56f80cd98c81e9be35abb1703">Ogre::PagedWorld::CHUNK_ID</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00064">64</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<a class="anchor" id="a22c0313ee4f22c41c592aec526aedce6"></a><!-- doxytag: member="Ogre::PagedWorld::CHUNK_SECTIONDECLARATION_ID" ref="a22c0313ee4f22c41c592aec526aedce6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1PagedWorld.html#a22c0313ee4f22c41c592aec526aedce6">Ogre::PagedWorld::CHUNK_SECTIONDECLARATION_ID</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00066">66</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5aed8fa0270feca86392300faff64764"></a><!-- doxytag: member="Ogre::PagedWorld::CHUNK_VERSION" ref="a5aed8fa0270feca86392300faff64764" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1PagedWorld.html#a5aed8fa0270feca86392300faff64764">Ogre::PagedWorld::CHUNK_VERSION</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00065">65</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5fbe897d19105f3fe03a42bd047914b0"></a><!-- doxytag: member="Ogre::PagedWorld::mManager" ref="a5fbe897d19105f3fe03a42bd047914b0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PageManager.html">PageManager</a>* <a class="el" href="classOgre_1_1PagedWorld.html#a5fbe897d19105f3fe03a42bd047914b0">Ogre::PagedWorld::mManager</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00060">60</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae14fed02b7a26c0992e97b355f39ea73"></a><!-- doxytag: member="Ogre::PagedWorld::mName" ref="ae14fed02b7a26c0992e97b355f39ea73" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1PagedWorld.html#ae14fed02b7a26c0992e97b355f39ea73">Ogre::PagedWorld::mName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00059">59</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<a class="anchor" id="aeb5d358fe39b8311415c71f957a7c08c"></a><!-- doxytag: member="Ogre::PagedWorld::mPageProvider" ref="aeb5d358fe39b8311415c71f957a7c08c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PageProvider.html">PageProvider</a>* <a class="el" href="classOgre_1_1PagedWorld.html#aeb5d358fe39b8311415c71f957a7c08c">Ogre::PagedWorld::mPageProvider</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00061">61</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab47f81c32e309e66eea51339fed51368"></a><!-- doxytag: member="Ogre::PagedWorld::mSectionNameGenerator" ref="ab47f81c32e309e66eea51339fed51368" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1NameGenerator.html">NameGenerator</a> <a class="el" href="classOgre_1_1PagedWorld.html#ab47f81c32e309e66eea51339fed51368">Ogre::PagedWorld::mSectionNameGenerator</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00244">244</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6adf46d34ac5ce7e00973307a9b61d17"></a><!-- doxytag: member="Ogre::PagedWorld::mSections" ref="a6adf46d34ac5ce7e00973307a9b61d17" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PagedWorld.html#a6c1dcf3d33ed0aa2ed2bb331c6dec087">SectionMap</a> <a class="el" href="classOgre_1_1PagedWorld.html#a6adf46d34ac5ce7e00973307a9b61d17">Ogre::PagedWorld::mSections</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePagedWorld_8h_source.html#l00243">243</a> of file <a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePagedWorld_8h_source.html">OgrePagedWorld.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
